# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.54.4 -> 1.930.54.5
#	arch/ia64/kernel/acpi.c	1.6.1.8 -> 1.6.1.9
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/03/12	trini@kernel.crashing.org	1.930.57.3
# PPC32: Replace 2 inline functions with their normal macro equivalents
# --------------------------------------------
# 03/03/12	alan@lxorguk.ukuu.org.uk	1.930.69.5
# [PATCH] PATCH: nforce is now in AMD so delete the option
# 
# --------------------------------------------
# 03/03/12	bjorn_helgaas@hp.com	1.930.54.5
# [PATCH] ia64: iosapic: self-documenting polarity/trigger arguments
# 
# Make interrupt registration functions take named constants for
# polarity and trigger mode.  Old -> new magic decoder ring:
# polarity 0 -> IOSAPIC_POL_LOW    (#defined to 1)
# polarity 1 -> IOSAPIC_POL_HIGH   (#defined to 0)
# trigger 0  -> IOSAPIC_LEVEL      (#defined to 1)
# trigger 1  -> IOSAPIC_EDGE       (#defined to 0)
# --------------------------------------------
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:39 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:39 2003
@@ -766,7 +766,8 @@
 		return 0;
 
 	/* Turn it on */
-	vector = iosapic_register_intr(gsi, polarity, mode);
+	vector = iosapic_register_intr(gsi, polarity ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
+			mode ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
 	return vector;
 }
 
